<div class="product-list234234">
<div class="product-list-1234234">

<a class="rrf-eee" href="<?php the_permalink(); ?>">
	<?php the_post_thumbnail(''); ?>
<h3><?php the_title(); ?></h3>
</a>
<div class="list-dec">
<?php
// دریافت محتوای کامل
$content = get_the_content();

// محدود کردن تعداد کلمات
$trimmed_content = wp_trim_words( $content, 20 );

// نمایش محتوای محدود شده
echo $trimmed_content;
?></div>
<div class="list-meta">
<span class="list-meta-133334">
 <?php
// Get author ID
$author_id = get_the_author_meta('ID');

// Get attachment ID
$avatar_attachment_id = get_user_meta($author_id, 'avatar', true);

// Get default avatar URL
$default_avatar_url = get_template_directory_uri() . '/img/user.jpg';

// Display author avatar
if ($avatar_attachment_id) {
  // Get image URL
  $avatar_url = wp_get_attachment_url($avatar_attachment_id);
  if ($avatar_url) {
    echo '<img src="' . esc_url($avatar_url) . '" alt="Author Avatar" width="100" height="100">';
  } else {
    // Display default avatar
    echo '<img src="' . esc_url($default_avatar_url) . '" alt="Default Avatar" width="100" height="100">';
  }
} else {
  // Display default avatar
  echo '<img src="' . esc_url($default_avatar_url) . '" alt="Default Avatar" width="100" height="100">';
}
?>
<h5><?php echo get_the_author_meta('display_name'); ?> </h5>

</span>
<span class="list-meta-2445435">
<?php the_time('d M Y'); ?>
</span>
</div>
</div></div>